Eigen::PolynomialSolver< _Scalar, 2 > Class Template Reference

`#include <pcl/registration/bfgs.h>`

Inheritance diagram for Eigen::PolynomialSolver< _Scalar, 2 >:

## Public Types

using | PS_Base = PolynomialSolverBase< _Scalar, 2 >

## Public Member Functions

virtual | ~PolynomialSolver ()
template<typename OtherPolynomial >
| PolynomialSolver (const OtherPolynomial &poly, bool &hasRealRoot)
template<typename OtherPolynomial >
void | compute (const OtherPolynomial &poly, bool &hasRealRoot)
| Computes the complex roots of a new polynomial. More...
template<typename OtherPolynomial >
void | compute (const OtherPolynomial &poly)

## Detailed Description

### template<typename _Scalar>
class Eigen::PolynomialSolver< _Scalar, 2 >

Definition at line 12 of file bfgs.h.

## Member Typedef Documentation

## PS_Base

template<typename _Scalar >

using Eigen::PolynomialSolver< _Scalar, 2 >::PS_Base = PolynomialSolverBase<_Scalar, 2>

Definition at line 14 of file bfgs.h.

## Constructor & Destructor Documentation

## ~PolynomialSolver()

template<typename _Scalar >

virtual Eigen::PolynomialSolver< _Scalar, 2 >::~PolynomialSolver | ( |  | ) |

inline virtual

Definition at line 18 of file bfgs.h.

## PolynomialSolver()

template<typename _Scalar >
template<typename OtherPolynomial >

Eigen::PolynomialSolver< _Scalar, 2 >::PolynomialSolver | ( | const OtherPolynomial & | poly,
|  | bool & | hasRealRoot
| ) |  |

inline

Definition at line 21 of file bfgs.h.

## Member Function Documentation

## compute() [1/2]

template<typename _Scalar >
template<typename OtherPolynomial >

void Eigen::PolynomialSolver< _Scalar, 2 >::compute | ( | const OtherPolynomial & | poly | ) |

inline

Definition at line 58 of file bfgs.h.

## compute() [2/2]

template<typename _Scalar >
template<typename OtherPolynomial >

void Eigen::PolynomialSolver< _Scalar, 2 >::compute | ( | const OtherPolynomial & | poly,
|  | bool & | hasRealRoot
| ) |  |

inline

Computes the complex roots of a new polynomial.

Definition at line 29 of file bfgs.h.

The documentation for this class was generated from the following file:

- pcl/registration/bfgs.h